#ifndef _DEFS_H
#define _DEFS_H

/* The CPU frequency (16 MHz). */
#define F_CPU 16000000UL

#define USE_SERIAL
/*
*/

/* If SAMPLE_RATE_THROTTLE is defined, then the sample rate will be limited by
   SAMPLE_FREQUENCY and SAMPLE_PERIOD. */
#define USE_SAMPLE_RATE_THROTTLE

/* If USE_PARANOID_WRITE is defined, the program will look for the first
   all-zero sector before recording data. */
#define USE_PARANOID_WRITE
/*
*/

/* The time to wait before deploying the solar panels, in seconds. */
#define SOLAR_DEPLOY_TIME (80 * 60)
#define SOLAR_UNDEPLOY_TIME (SOLAR_DEPLOY_TIME + 5)

/* The sample frequency in hertz. The program will not sample more frequently
   than this. This has an effect only when USE_SAMPLE_RATE_THROTTLE is
   defined. */
#define SAMPLE_FREQUENCY 100
/* The sample period in milliseconds. */
#define SAMPLE_PERIOD (1000 / SAMPLE_FREQUENCY)

/* An S2 sample will be taken every S2_COUNT times an S1 sample is taken. */
#define S2_COUNT 100

#define NUM_CONFIRMATION_BEEPS 5
#ifdef USE_SAMPLE_RATE_THROTTLE
#define NUM_CONFIRMATION_SECTORS (SAMPLE_FREQUENCY * FIELDSAT_SAMPLE_SIZE / MMC_SECTOR_SIZE)
#else
#define NUM_CONFIRMATION_SECTORS 128
#endif

#define SERVO_DDR DDRB
#define SERVO PB3

#define MMC_PORT PORTB
#define MMC_DDR DDRB
#define MMC0_CS PB0
#define MMC1_CS PB1

#define BUZZER_PORT PORTD
#define BUZZER_DDR DDRD
#define BUZZER PD4

#define CHANNEL_X_ANG_VEL 1
#define CHANNEL_Y_ANG_VEL 5
#define CHANNEL_Z_ANG_VEL 3
#define CHANNEL_X_ACC_LOW 4
#define CHANNEL_Y_ACC_LOW 0
#define CHANNEL_Z_ACC_LOW 2
#define CHANNEL_X_ACC_HIGH 8
#define CHANNEL_Y_ACC_HIGH 8
#define CHANNEL_Z_ACC_HIGH 8
#define CHANNEL_PRESSURE 9
#define CHANNEL_TEMP_INT 10
#define CHANNEL_TEMP_EXT 11
#define CHANNEL_SOLAR_LUMINOSITY 6
#define CHANNEL_SOLAR_VOLTAGE 7
#define CHANNEL_SOLAR_CURRENT 14

#endif
